﻿namespace WMAApp.Web
{
    using System.Runtime.Serialization;
    using System.ServiceModel.DomainServices.Server.ApplicationServices;

    /// <summary>
    /// Class containing information about the authenticated user.
    /// </summary>
    public partial class User : UserBase
    {
        //// NOTE: Profile properties can be added for use in Silverlight application.
        //// To enable profiles, edit the appropriate section of web.config file.
        ////
        //// public string MyProfileProperty { get; set; }

        /// <summary>
        /// Gets and sets the friendly name of the user.
        /// </summary>
        public string FriendlyName { get; set; }
        public string DefaultConns { get; set; }
        public string DbConnected { get; set; }
        public bool ConnectedToDb { get; set; }
        public int DefaultFamilySelection { get; set; }
        public int DefaultStandSelection { get; set; }
        public int DefaultLineSelection { get; set; }
        public string DefaultModelSelection { get; set; }
        public string DefaultTestStatus { get; set; }
    }
}
