#define SUPPORT_CHART_LAUNCH_FROM_FUL_REP

#region Using
using System;
using System.Collections.Generic;
using System.Linq;
using System.ComponentModel.DataAnnotations;
#endregion Using

namespace WMAApp.Web.Models 
{
    // Defines one test points results for a test.
    public partial class TestData
    {
        [Key]
        public decimal dId { get; set; }
        public string sText { get; set; }
        //public string sModel { get; set; }
        //public string sSerial { get; set; }
        public string sUnits { get; set; }
        public string sPhase { get; set; }
        public string sStep { get; set; }
        public Nullable<decimal> iPhaseId { get; set; }
        public Nullable<decimal> iStepId { get; set; }
        public decimal iThreadNum { get; set; } // has to be decimal since I do a to_number in query
        public decimal iPhaseOrderNum { get; set; }
        public decimal iStepOrderNum { get; set; }
        public Nullable<decimal> dFormattedLowLimit { get; set; }
        public Nullable<decimal> dFormattedHighLimit { get; set; }
        public decimal dFormattedValue { get; set; }

#if SUPPORT_CHART_LAUNCH_FROM_FUL_REP
        public DateTime dtTestTime { get; set; }
        public string sStandCode { get; set; }
        public decimal dTpDefnSakey { get; set; }
#endif

        public TestData()
        {
        }
    }
}
