﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SimpleMvvmToolkit;
using System.ComponentModel;

/*
Simple MVVM has two kinds of ViewModels: a general-purpose VM, good for showing summary lists and such, and a “detail’ VM, 
useful for binding a VM to a single model entity.  The ViewModelDetailBase class has a Model property which you 
can use to expose the model so that the View can bind directly to it.  This eliminates redundant code in the 
VM where you need to duplicate each and every model property. The detail VM base class also implements IEditableDataObject 
with deep cloning and allows you to associate VM properties with one or more model properties, so that updates to the model 
properties cascade to the associated VM property.
*/

namespace WMAApp.ViewModels
{
    //TODO:
    //public abstract class WMAVMDetailBase<TViewModel, TModel> : ViewModelDetailBase<TViewModel, TModel> //where TModel : class, global::System.ComponentModel.INotifyPropertyChanged
    //{
    //    // TODO: Add common view model properties/methods 

    //    public bool IsDesignTime
    //    {
    //        get
    //        {
    //            return DesignerProperties.IsInDesignTool;
    //        }
    //    }
    //}

}

