﻿#region Using
using System;
using System.Linq;
using System.Collections.Generic;

// Toolkit namespace
using SimpleMvvmToolkit;
using System.ServiceModel.DomainServices.Client;
using System.ComponentModel;
using WMAApp.Web.Services;
using System.Text;
using System.Windows.Browser;
#endregion Using
namespace WMAApp.Services.Connection
{
    // Add ServiceAgentExport attribute, setting AgentType to Real
    // todo: Instead of just .Real or .Mock, I'm hoping service agent framework can help us support differing databases
    [ServiceAgentExport(typeof(IDbSelectSA), AgentType = AgentType.Real)]
    public class DbSelectSA : IDbSelectSA
    {
        // domain context class serves as a client side proxy to access our domain RIA service domain service class.        
        //not used List<WMATestDBDomainContext> _lstDomainContext = new List<WMATestDBDomainContext>();
        #region Constructors
        public DbSelectSA()
        {
            
        }

        #endregion
        #region IDbSelectSA Event Handlers

        // Notifies ViewModel to check IsDirty
        //public event EventHandler IsDirtyChanged;

        #endregion

        #region IDbSelectSA Members

      
        // example
        //public void LoadActiveModels(int _iCurrContext,
        //                             int _iFamilyId,
        //                             Action<List<Web.Models.MODEL_CODE_DEFN>, Exception> _cbfCompleted)
        //{
        //    _lstDomainContext[_iCurrContext].MODEL_CODE_DEFNs.Clear();
        //    // Load data


        //    EntityQuery<Web.Models.MODEL_CODE_DEFN> query = _lstDomainContext[_iCurrContext].GetActiveModelsQuery(_iFamilyId);
        //    _lstDomainContext[_iCurrContext].Load(query, loadOp =>
        //    {
        //        // Declare error and result
        //        Exception error = null;
        //        IEnumerable<Web.Models.MODEL_CODE_DEFN> modelData = null;

        //        // Set error or result
        //        if (loadOp.HasError)
        //        {
        //            error = loadOp.Error;
        //        }
        //        else
        //        {
        //            modelData = loadOp.Entities;
        //        }

        //        // Invoke completion callback
        //        _cbfCompleted(modelData.ToList(), error);
        //    }, null);
        //}
        #endregion
    }

}


