﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;
using Infragistics.Controls;
using Infragistics;
using System.Windows.Media.Imaging;
using System.IO;
using Infragistics.Imaging;
using System.Windows.Data;
using Infragistics.Controls.Charts;
using WMAApp.Views.Charts;
using System.Collections.ObjectModel;
using WMAApp.Controls;
using WMAApp.ViewModels.Charts;

namespace WMAApp.Views.Charts
{

    public class HistoChartData
        : ObservableCollection<HistoData>
    {
        public HistoChartData()
        {
        }
    }

    public class HistoData
    {
        public string Group { get; set; }
        public Decimal Count { get; set; }
        public string Bucket { get; set; }

        public HistoData(
            string group,
            Decimal count,
            string bucket
            )
        {
            Group = group;
            Count = count;
            Bucket = bucket;
        }
    }

    public partial class ucHistogramChart : ChartBaseV
    {
        public ucHistogramChart()
            : base(ChartTypes.ctHistogram)
        {
            InitializeComponent();

            m_ctType = ChartTypes.ctHistogram;
            xdcTheChart = xdcHistoChart;
        }

        private void evhxdcChart_Loaded(object sender, RoutedEventArgs e)
        {
            vChartLoaded(sender, e);
        }
    }
}
