﻿#region Using
using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using Infragistics;
using Infragistics.Controls;
using Infragistics.Controls.Menus;
using WMAApp.ViewModels.Charts;
using WMAApp.Controls;
using Infragistics.Controls.Charts;
#endregion Using

namespace WMAApp.Views.Charts
{
    public partial class ucXdcTrendChart : ChartBaseV
    {
        public ucXdcTrendChart() : base()
        {
            InitializeComponent();

            m_ctType = ChartTypes.ctTrend;
            xdcTheChart = xdcTrendChart;
        }
        
        private void btnStand_Click(object sender, RoutedEventArgs e)
        {
            vShowTpByFilter( "S" );
        }

        private void btnAllData_Click(object sender, RoutedEventArgs e)
        {
            vShowAllData();
        }

        private void btnModel_Click(object sender, RoutedEventArgs e)
        {
            vShowTpByFilter("M");
        }

        private void evhxgTPData_MouseRightButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {   // IG:95417 Make context menu visibible when right click on grid occurs until IG bug is fixed. 
            Infragistics.Controls.Menus.ContextMenuManager cmMgr = Infragistics.Controls.Menus.ContextMenuService.GetManager(sender as  XamDataChart);
            cmMgr.ContextMenu.Visibility = System.Windows.Visibility.Visible;
        }
        #region Export Chart
        private void xmiExportTrendChart_Click(object _sender, EventArgs _evArgs)
        {
            vExportChartClick(_sender, _evArgs, rbJPEG.IsChecked.Value);
        }
        
        private void xmiExportOptionsTrendChart_Click(object _sender, EventArgs _evArgs)
        {
            xdwExportOptionsTrendChart.WindowState = Infragistics.Controls.Interactions.WindowState.Normal;
        }
        private void evhbtnTrendChartExportOptions_OK_Click(object _sender, RoutedEventArgs _evArgs)
        {
            xdwExportOptionsTrendChart.WindowState = Infragistics.Controls.Interactions.WindowState.Hidden;
        }
        private void evhbtnTrendChartExportOptions_Cancel_Click(object _sender, RoutedEventArgs _evArgs)
        {
            xdwExportOptionsTrendChart.WindowState = Infragistics.Controls.Interactions.WindowState.Hidden;
        }

        #endregion Export Chart

        private void evhXdcChart_WindowRectChanged(object sender, RectChangedEventArgs e)
        {
            vWindowRectChanged(sender, e);
        }

        private void evhxdcChart_Loaded(object sender, RoutedEventArgs e)
        {
            vChartLoaded(sender, e);
        }

        private void cmnuTrendChart_Item_Clicked(object sender, ItemClickedEventArgs e)
        {
            vChartItemClicked(sender, e);
        }

        private void evhContextMenu_Opening(object sender, OpeningEventArgs e)
        {
            vContextMenuOpening(sender, e);
        }

        private void xmiTrendChartFitChart_Click(object sender, EventArgs e)
        {
            vFitChartClick(sender, e);
        }

        private void evhXzb_ZoomChanged(object sender, ZoomChangedEventArgs e)
        {
            vzbZoomChanged(sender, e);
        }

        private void evhXzbZoombar_Loaded(object sender, RoutedEventArgs e)
        {
            vzbZoombarLoaded(sender, e);
        }

    }
}
